List OpenAI-compatible model servers
import requests
url = "https://platform.ankra.app/api/v1/org/ai-settings/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-settings/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-settings/endpoints \
--header 'Authorization: Bearer <token>'{
"endpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"base_url": "<string>",
"key_preview": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}AI Settings
List OpenAI-compatible model servers
Lists the organisation’s custom OpenAI-compatible model endpoints with masked key previews. Requires the ai.manage permission.
GET
/
api
/
v1
/
org
/
ai-settings
/
endpoints
List OpenAI-compatible model servers
import requests
url = "https://platform.ankra.app/api/v1/org/ai-settings/endpoints"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/ai-settings/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/ai-settings/endpoints \
--header 'Authorization: Bearer <token>'{
"endpoints": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"base_url": "<string>",
"key_preview": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}